<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="decoration">
      <h2 data-cy="decorationDetailsHeading"><span jhiTranslate="gestionPersonnel3App.decoration.detail.title">Decoration</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ decoration.id }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.decoration.dateDecoration">Date Decoration</span></dt>
        <dd>
          <span>{{ decoration.dateDecoration | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.decoration.typeDecoration">Type Decoration</span></dt>
        <dd>
          <div *ngIf="decoration.typeDecoration">
            <a [routerLink]="['/type-decoration', decoration.typeDecoration.id, 'view']">{{ decoration.typeDecoration.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="gestionPersonnel3App.decoration.employe">Employe</span></dt>
        <dd>
          <div *ngIf="decoration.employe">
            <a [routerLink]="['/employe', decoration.employe.id, 'view']">{{ decoration.employe.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Retour</span>
      </button>

      <button type="button" [routerLink]="['/decoration', decoration.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editer</span>
      </button>
    </div>
  </div>
</div>
